pycatia.hybrid_shape_interfaces.hybrid_shape_revol

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-07-06 14:02:20.222384

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.hybrid_shape_interfaces.hybrid_shape_revol.HybridShapeRevol(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
MecModInterfaces.HybridShape
HybridShapeRevol

The Revol feature : an Revol is made up of a face to process and one Revol parameter.
Role: To access the data of the hybrid shape revol feature
object.

LICENSING INFORMATION: Creation of volume result requires GSO
License
if GSO License is not granted , setting of Volume context has not
effect
property axis: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Axis() As Reference

Role: To get_Axis on the object.

Parameters:

oDir
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Reference

property begin_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property BeginAngle() As Angle (Read Only)

Role: To get_BeginAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Angle

property context: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Context() As long

Returns or sets the context on Revolve feature.
Legal values:

0 This option creates surface of revolution.
1 This option creates volume of revolution.


Note: Setting volume result requires GSO License.

Example:
This example retrieves in oContext the context for the Revol hybrid
shape feature.

Dim oContext
Set oContext = Revol.Context
Return type:

int

property end_angle: Angle

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property EndAngle() As Angle (Read Only)

Role: To get_EndAngle on the object.

Parameters:

oAngle
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Angle
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Angle

property first_limit_type: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property FirstLimitType() As long

Returns or sets the First limit type.
Legal values:

0
Unknown Limit type.
1
Limit type is Dimension. It implies that limit is defined by
length
2
Limit type is UptoElement. It implies that limit is defined by a
geometrical element

Example:
This example retrieves in oLim1Type the first limit type for the Revolve
hybrid shape feature.

Dim oLim1Type
Set oLim1Type = Revolve.FirstLimitType
Return type:

int

property first_upto_element: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property FirstUptoElement() As Reference

Returns or sets the First up-to element used to limit
Revolution.

Example:
This example retrieves in Lim1Elem the First up-to element for the
Revolve hybrid shape feature.

Dim Lim1Elem As Reference
Set Lim1Elem = Revolve.FirstUptoElement
Return type:

Reference

property orientation: bool

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Orientation(boolean iOrientation)

Gets or sets orientation of the revolution.
Orientation
TRUE : The natural orientation of the axis is taken.
FALSE : The opposite orientation is taken This example retrieves in IsInverted orientation of the
revolution for the Revol hybrid shape feature.

Dim IsInverted As boolean
IsInverted = Revol.Orientation
Return type:

bool

property profile: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Profil() As Reference

Role: To get_Profil on the object.

Parameters:

oProfil
return value for CATScript applications, with (IDLRETVAL) function
type

See also:
Reference
Returns:
HRESULT S_OK if Ok E_FAIL else return error code for C++
Implementations
See also:
HybridShapeFactory
Return type:

Reference

property second_limit_type: int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SecondLimitType() As long

Returns or sets the Second limit type.
Legal values:

0
Unknown Limit type.
1
Limit type is Dimension. It implies that limit is defined by
length
2
Limit type is UptoElement. It implies that limit is defined by a
geometrical element

Example:
This example retrieves in oLim2Type the second limit type for the Revolve
hybrid shape feature.

Dim oLim2Type
Set oLim2Type = RevolveSecondLimitType
Return type:

int

property second_upto_element: Reference

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property SecondUptoElement() As Reference

Returns or sets the Second up-to element used to limit
Revolution.

Example:
This example retrieves in Lim2Elem the Second up-to element for the
Revolve hybrid shape feature.

Dim Lim2Elem As Reference
Set Lim2Elem = Revolve.SecondUptoElement
Return type:

Reference